For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get a Demo
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
    • Getting Started
    • Environments and Base URLs
    • Reference
  • API Reference
      • POSTCreate Upwardli Token
      • POSTCreate Upwardli Token Exchange
Get a Demo
LogoLogo
API ReferenceAuth

Create Upwardli Token Exchange

POST
https://host.com/auth/token/exchange/
POST
/auth/token/exchange/
$curl -X POST https://host.com/auth/token/exchange/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "grant_type": "string",
> "subject_token_type": "string",
> "subject_token": "string",
> "audience": "string",
> "scope": "string"
>}'
201Created
1{
2 "access_token": "string",
3 "expires_in": 1,
4 "token_type": "string",
5 "scope": "string"
6}
Upwardli Token Exchange View
Was this page helpful?
Previous

Get Bill

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
grant_typestringRequired<=250 characters
subject_token_typestringRequired<=250 characters
subject_tokenstringRequired<=250 characters
audiencestringRequired<=250 characters
scopestringRequired<=250 characters

Response

access_tokenstring<=250 characters
expires_ininteger-2147483648-2147483647
token_typestring<=250 characters
scopestring<=250 characters